;===========================================================================================
; MsgBox_1.asm  Fasm Flat assembler
; Boite  message
; Programm par AsmGges France
;===========================================================================================

format PE GUI 4.0
entry start

; Inclusion des macros/quates/structures ncessaires au programme
; ----------------------------------------------------------------
  include 'win32a.inc'

;===========================================================================================
; Dbut du code programme
; -----------------------
section '.code' code readable executable

start:
    ; Cration d'une boite  message
    ; ------------------------------
    invoke MessageBox,0,Message,Titre,MB_OK+MB_SYSTEMMODAL

    ; Fermeture de l'application
    ; --------------------------
    invoke ExitProcess,0

;===========================================================================================
; Dfinitions des datas chaines / variables initialises ou non initialises / structures
;-------------------------------------------------------------------------------------------
section '.data' data readable writeable

  Titre   db ' AsmGges Win32',0
  Message db ' Bonjour ! Comment allez-vous ?',0

;===========================================================================================
; Inclusion des fichiers .dll contenant les fonctions Windows utilises
;-------------------------------------------------------------------------------------------
section '.idata' import data readable writeable

  library kernel32,'KERNEL32.DLL',\
            user32,'USER32.DLL'

  ; Apis Windows dans fichiers dlls
  ; -------------------------------
  include 'apia\kernel32.inc'
  include 'apia\user32.inc'

;===========================================================================================
